<template>
    <div>
        <table class="table table-hover" v-if="requests && requests.length>0">
            <thead>
                <tr>
                    <th>Titre</th>
                    <th>Description</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(request,index) in requests">
                    <td>{{request.title}}</td>
                    <td>{{request.description}}</td>
                    <td>
                        <div v-if="request.checked===false">
                            <button class="btn btn-primary but" v-on:click="validate(request)" v-if="canValidate">Valider</button>
                            <button class="btn btn-danger but" v-on:click="reject(request)" v-if="canValidate">Refuser</button>

                            <button class="btn btn-primary but" v-on:click="edit(request)" v-if="canEdit">Modifier</button>
                            <button class="btn btn-danger but" v-on:click="remove(request)" v-if="canRemove">Supprimer</button>
                        </div>
                        <div v-else>
                            <span v-if="request.validated">Validée</span>
                            <span v-else>Refusée</span>
                        </div>
                    </td>
                </tr>

            </tbody>
        </table>
        <h2 v-else> Aucune requete a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['requests', 'canEdit', 'canRemove', 'isFacture', 'canValidate'],
    methods: {
        edit(request) {
            this.$emit('edit', request);
        },
        remove(request) {
            this.$emit('remove', request)
        },
        validate(request) {
            this.$emit('validate', request);
        },
        reject(request) {
            this.$emit('reject', request)
        }
    }
}
</script>

<style>

</style>
